Last Comment Bug 860061 - Plugin CTP request: Flash 11.3.*-11.4.*
: Plugin CTP request: Flash 11.3.*-11.4.*
Status: VERIFIED FIXED
[plugin]
:
Product: Toolkit
Classification: Components
Component: Blocklisting (show other bugs)
: unspecified
: All All
: -- normal (vote)
: 2013-04-18
Assigned To: Jorge Villalobos [:jorgev]
:
: Jorge Villalobos [:jorgev]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-09 15:23 PDT by Alex Keybl [:akeybl]
Modified: 2016-03-07 15:30 PST (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Alex Keybl [:akeybl] 2013-04-09 15:23:22 PDT
Plugin name: Adobe Flash
Plugin versions to block: 11.3.*-11.4.*, this is the next step in our rollout
Applications, versions, and platforms affected: Firefox 20 and higher, across all platforms
Block severity: CTP
Timing: week of 4/15
Comment 1 Alex Keybl [:akeybl] 2013-04-09 15:28:50 PDT
(In reply to Alex Keybl [:akeybl] from comment #0)
> Applications, versions, and platforms affected: Firefox 20 and higher,
> across all platforms

Actually, let's do this for Firefox 19 and higher and ESR 17.0.4-17.0.*
Comment 2 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-04-09 16:01:10 PDT
(In reply to Alex Keybl [:akeybl] from comment #0)
> Timing: week of 4/15

Can we please plan to do this outside of Beta testing (Mon-Tue or Thu-Fri)?
Comment 3 Jorge Villalobos [:jorgev] 2013-04-10 09:14:03 PDT
1) Does this include blocking all of 11.2.* for Windows and Mac (see bug 850734)?

2) Should the Linux block (bug 854550) also be extended to 11.4.*? I don't remember which version ships with popular Linux distros.
Comment 4 Robert Kaiser 2013-04-10 09:19:19 PDT
(In reply to Jorge Villalobos [:jorgev] from comment #3)
> 2) Should the Linux block (bug 854550) also be extended to 11.4.*? I don't
> remember which version ships with popular Linux distros.

There is no 11.3 or 11.4 for Linux. The highest (and security-maintained for 4 more years or so) Flash version for Linux is 11.2.
Comment 5 Jorge Villalobos [:jorgev] 2013-04-10 09:24:10 PDT
Thank you, Robert. I think no action is required for Linux then. Only question 1 is pending.

The block is staged now:

Flash Player Plugin between 11.3 and 11.4.* (click-to-play)
https://addons-dev.allizom.org/firefox/blocked/p309
Comment 6 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-04-10 15:51:04 PDT
I nearly completed the testing on staging but my Mac is now in a continuous cycle of kernel panic on login so I cannot resume. I will need to focus on getting my Mac back up and running.

The following has been tested and works as expected (ie. CTP blocked):
* Windows: Firefox 19.0.2 & Flash 11.3.300.262
* Windows: Firefox 21.0b2 & Flash 11.4.402.287
* Windows: Firefox 17.0.4esr & Flash 11.3.300.257
* Windows: Firefox 22.0a2 & Flash 11.4.402.278 
* Mac OSX: Firefox 19.0 & Flash 11.3.300.271 

I've asked Juan to step in and cover off the remaining test runs:
* Mac OSX: Firefox 21.0b1 & Flash 11.4.N
* Mac OSX: Firefox 17.0.5esr & Flash 11.3.N
* Mac OSX: Firefox 23.0a1 & Flash 11.4.N 
https://wiki.mozilla.org/QA/Desktop_Firefox/Plugins/Click-to-Play#Staging

Thanks for helping out, Juan.
Comment 7 Alex Keybl [:akeybl] 2013-04-10 16:37:10 PDT
(In reply to Anthony Hughes, Mozilla QA (:ashughes) from comment #2)
> (In reply to Alex Keybl [:akeybl] from comment #0)
> > Timing: week of 4/15
> 
> Can we please plan to do this outside of Beta testing (Mon-Tue or Thu-Fri)?

Sure thing, I'll be OK with either. It's whenever we have your sign-off.
Comment 8 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-04-10 16:38:40 PDT
Thanks to Juan this is now signed off on staging. Assuming we aren't doing another early Beta next week let's aim to have this pushed on Monday.
Comment 9 Alex Keybl [:akeybl] 2013-04-10 16:50:38 PDT
(In reply to Jorge Villalobos [:jorgev] from comment #3)
> 1) Does this include blocking all of 11.2.* for Windows and Mac (see bug
> 850734)?

You can combine the two blocks actually, the latest Flash 11.2.202 versions are Linux-only which won't be impacted.
Comment 10 Jorge Villalobos [:jorgev] 2013-04-10 17:05:33 PDT
(In reply to Alex Keybl [:akeybl] from comment #9)
> (In reply to Jorge Villalobos [:jorgev] from comment #3)
> > 1) Does this include blocking all of 11.2.* for Windows and Mac (see bug
> > 850734)?
> 
> You can combine the two blocks actually, the latest Flash 11.2.202 versions
> are Linux-only which won't be impacted.

Okay, I agree this is simpler. So, I deleted the staged block from comment #5 and modified p178: https://addons-dev.allizom.org/firefox/blocked/p178. I also deleted p299, which was a beta-only block that covered 11.2 - 11.4.

So, the outcome should be the same, but the blocks are different, so I recommend that we test this again.
Comment 11 Paul Silaghi, QA [:pauly] 2013-04-11 07:01:45 PDT
(In reply to Jorge Villalobos [:jorgev] from comment #10)
> so I recommend that we test this again.
Verified OK on staging:
Flash 11-11.4 is CTP blocked on FF >= 19, ESR>=17.0.4
Comment 12 Jorge Villalobos [:jorgev] 2013-04-15 13:49:17 PDT
FYI, I will push these changes live tomorrow morning unless there are any objections.
Comment 13 Alex Keybl [:akeybl] 2013-04-16 04:52:19 PDT
(In reply to Jorge Villalobos [:jorgev] from comment #12)
> FYI, I will push these changes live tomorrow morning unless there are any
> objections.

No objection. Thanks Jorge :)
Comment 14 Jorge Villalobos [:jorgev] 2013-04-16 09:32:28 PDT
Done.
Comment 15 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-04-16 18:26:10 PDT
Block appears to be working as expected in production.

Note You need to log in before you can comment on or make changes to this bug.